<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";


$text = @file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);}

echo'<img src="../images/img/partners.gif" alt=""> <b>Бан пользователя</b><br><br>';

if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
$time=time();
$time_ban=round($udata[38]-$time);
//if($time_ban>60) {$time_ban=round($time_ban/60).' ч.';}else{$time_ban=$time_ban.' м.';}	
if(!empty($log)){
if($time_ban>0){

echo'<img src="../images/img/error.gif" alt=""> <b>Вас забанили</b><br>';	
echo'<b><font color="#FF0000">Причина бана: '.$udata[39].'</font></b>';

echo'<br>До окончания бана осталось '.formattime($time_ban);	
SetCookie("cookid", "1",time()+3600*24*5);	

echo '<br><br>Общее число строгих нарушений: <b>'.(int)$udata[64].'</b><br>';
echo 'Внимание, максимальное количество нарушений: 5<br>';
echo 'При превышении лимита нарушений ваш профиль автоматически удаляется<br>';
echo 'Востановление профиля или данных после этого будет невозможным<br>';
echo 'Будьте внимательны, старайтесь  не нарушать больше правил<br>';

}else{
echo '<img src="../images/img/open.gif" alt=""> ВЫ БЫЛИ ЗАБАНЕНЫ<br>';
if($udata[39]!=""){echo '<b><font color="#FF0000">Причина бана: '.$udata[39].'</font></b><br>';}

echo 'Поздравляем!!! Время вашего бана вышло, постарайтесь вести себя достойно и не нарушать правила сайта<br>';

echo '<br>Рекомендуем к прочтению <b><a href="pravila.php?'.SID.'">Правила сайта</a></b><br>';
//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[37]=0;
$udata[38]='';
$udata[39]='';

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","w");  
flock($fp,LOCK_EX);                                                     
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
SetCookie("cookid", "0",time()+3600*24*5);
}

}


}else{header ("Location: ../index.php?".SID);}	
}else{header ("Location: ../index.php?".SID);}


echo'<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>